import { WithCredentialPassphrase as Command } from '../../credential-command';
export default class AccountCreate extends Command {
    static description: string;
    static flags: {
        passphrase: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<import("mesg-js/lib/api/typedef/account").mesg.api.ICreateAccountResponse>;
}
