import { flags } from '@oclif/command';
import Command from '../../docker-command';
export default class Start extends Command {
    static description: string;
    static flags: {
        version: flags.IOptionFlag<string>;
        path: flags.IOptionFlag<string>;
        pull: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'log-force-colors': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'log-format': flags.IOptionFlag<string>;
        'log-level': flags.IOptionFlag<string>;
        'genesis-validator-tx': flags.IOptionFlag<string>;
        peers: flags.IOptionFlag<string | undefined>;
        'chain-id': flags.IOptionFlag<string>;
        'genesis-time': flags.IOptionFlag<string>;
        'p2p-port': import("@oclif/parser/lib/flags").IOptionFlag<number>;
        name: flags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: flags.IOptionFlag<string>;
    };
    run(): Promise<boolean>;
}
