import { Process } from 'mesg-js/lib/api';
import { hash } from 'mesg-js/lib/api/types';
import Command from '../../root-command';
export default class ProcessDev extends Command {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string>;
        dev: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        env: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        account: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        passphrase: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        description: string;
        default: string;
    }[];
    processCreated: boolean;
    instanceCreated: boolean;
    run(): Promise<void>;
    createProcess(definition: Process): Promise<hash>;
}
